Loading...
Searching...
No Matches
ReaderBase.h File Reference

Header file for ReaderBase class. More...

`#include <map>`
`#include <memory>`
`#include <mutex>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "ChannelLayouts.h"`
`#include "Fraction.h"`
`#include "Json.h"`

Go to the source code of this file.

## Classes

class | openshot::ReaderBase
| This abstract class is the base class, used by all readers in libopenshot. More...
struct | openshot::ReaderInfo
| This struct contains info about a media file, such as height, width, frames per second, etc... More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for ReaderBase class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file ReaderBase.h.